# Returns a list of records with the specified payment_id Returns a list of records with the specified payment_id Endpoint: GET /revenueRecognitionSchedules/{tenantId}/payment/{payment_id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `payment_id` (string, required) The payment_id to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.batch_id` (string, required) The batch that posted the schedule - `Items.business_unit_id` (string, required) The business unit this schedule belongs to - `Items.contact_id` (string) Contact that owns this - `Items.credit_memo_id` (string, required) - `Items.currency_code` (string, required) The currency code for the revenue recognition schedule - `Items.custom_field_values` (array) - `Items.custom_field_values.boolean_value` (boolean) The boolean value - `Items.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `Items.custom_field_values.file_url_value` (string) The pointer to a file value - `Items.custom_field_values.list_value` (array) The list value - `Items.custom_field_values.numeric_value` (number) The numeric value - `Items.custom_field_values.string_value` (string) The string value of the custom field - `Items.custom_field_values.table_value` (array) A list of objects (a table) - `Items.customer_type` (string) The type of customer that "owns" this schedule - `Items.date` (string) - `Items.debit_memo_id` (string, required) - `Items.deferred_revenue_gl_account_id` (string, required) - `Items.entries` (array, required) - `Items.entries.amount` (number, required) - `Items.entries.batch_id` (string) The batch that recognized this entry - `Items.entries.cogs_batch_id` (string) The ID of the batch used to track COGS - `Items.entries.deferral_batch_id` (string) The ID of the batch used to process deferrals - `Items.entries.entry_id` (string, required) - `Items.entries.parent_entry_id` (string) - `Items.entries.recognized_in_fiscal_period` (number) The fiscal period in which this entry was recognized - `Items.entries.recognized_in_fiscal_year_id` (string) The fiscal year in which this entry was recognized - `Items.entries.revenue_gl_account_id` (string, required) - `Items.entries.revenue_split_id` (string) - `Items.entries.status` (string, required) Enum: "error", "recognized", "unrecognized" - `Items.id` (string, required) The unique, string identifier of this revenue recognition schedule - `Items.invoice_id` (string, required) - `Items.invoice_line_item_id` (string, required) - `Items.membership_id` (string) The membership this schedule is tied to - `Items.notes` (string) Optional notes/description for the schedule - `Items.organization_id` (string) Organization that owns this - `Items.parent_schedule_id` (string) The parent schedule, if this schedule is related to another - `Items.payment_id` (string, required) - `Items.payment_line_item_id` (string, required) - `Items.product_id` (string, required) The ID of the product - `Items.product_name` (string) The name of the product - `Items.product_type` (string, required) The type of product being deferred - `Items.product_version` (number) The versino of the product that created this schedule - `Items.recognized_amount` (number, required) The amount of revenue that has been recognized - `Items.refund_id` (string, required) - `Items.revenue_splits` (array) - `Items.revenue_splits.percentage` (number) - `Items.revenue_splits.type` (string) Enum: "fixed amount", "percentage" - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_business_unit_status` (string) Concatenation of the business unit id and the status, used for indexing - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.total` (number, required) The total to be recognized in this schedule - `Items.transaction_id` (string, required) The transaction ID - `Items.unrecognized_amount` (number, required) The unrecognized amount of revenue - `Items.write_off_id` (string, required) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields